<bugID>1381804<Summary>3.49 - 16.91% Explicit Memory  / Heap Unclassified  / Images  / JS  / Resident Memory  (linux64, osx-10-10, windows10-64, windows7-32) regression on push 87e8ccdd8aa6f6b549922b4debc19a4126b7d940 (Tue Jul 18 2017)</Summary><Description>We have detected an awsy regression from push:

https://hg.mozilla.org/integration/autoland/pushloghtml?changeset=87e8ccdd8aa6f6b549922b4debc19a4126b7d940

As author of one of the patches included in that push, we need your help to address this regression.

Regressions:

 17%  Heap Unclassified summary osx-10-10 opt      77,016,564.00 -&gt; 90,037,712.94
 15%  Heap Unclassified summary linux64 opt        55,789,392.80 -&gt; 64,082,094.29
 13%  Explicit Memory summary osx-10-10 opt        337,052,939.74 -&gt; 381,367,079.62
 13%  Explicit Memory summary linux64 opt          309,269,000.94 -&gt; 348,551,130.50
 13%  Heap Unclassified summary windows7-32 opt    43,159,108.62 -&gt; 48,630,002.11
 12%  Explicit Memory summary windows7-32 opt      249,614,815.22 -&gt; 278,800,233.07
 12%  Resident Memory summary windows7-32 opt      324,037,806.09 -&gt; 361,579,509.99
 11%  Images summary windows7-32 opt               5,179,007.74 -&gt; 5,752,930.05
 11%  Heap Unclassified summary windows10-64 opt   49,339,847.70 -&gt; 54,672,534.45
 10%  Explicit Memory summary windows10-64 opt     319,720,719.22 -&gt; 353,055,828.50
 10%  JS summary osx-10-10 opt                     119,265,412.05 -&gt; 131,332,908.21
 10%  JS summary linux64 opt                       115,662,161.37 -&gt; 127,096,421.66
  9%  Resident Memory summary linux64 opt          464,586,620.65 -&gt; 507,798,764.70
  9%  JS summary windows7-32 opt                   96,840,000.77 -&gt; 105,586,174.61
  9%  JS summary windows10-64 opt                  130,129,768.85 -&gt; 141,843,690.92
  8%  Resident Memory summary windows10-64 opt     482,051,675.76 -&gt; 518,390,295.84
  3%  Resident Memory summary osx-10-10 opt        676,904,722.87 -&gt; 700,508,634.93


You can find links to graphs and comparison views for each of the above tests at: https://treeherder.mozilla.org/perf.html#/alerts?id=8023

On the page above you can see an alert for each affected platform as well as a link to a graph showing the history of scores for this test. There is also a link to a treeherder page showing the jobs in a pushlog format.

To learn more about the regressing test(s), please see: https://developer.mozilla.org/en-US/docs/Mozilla/Performance/AWSY</Description></bugID>